Bug 97699 - srpm upload message needs to be more user friendly
srpm upload message needs to be more user friendly
Status: CLOSED WONTFIX
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Server (Show other bugs)
420
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-19 10:22 EDT by Need Real Name
Modified: 2007-10-23 21:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 16:23:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-06-19 10:22:09 EDT
I received the following when trying to upload a set of RPMs that included SRPMS
as well:

Connecting to https://xmlrpc.rhn.redhat.com/XP
Traceback (innermost last):
  File "/usr/bin/rhn_package_manager", line 29, in ?
    rhn_package_manager.main()
  File "/var/www/rhns/PackageManager/rhn_package_manager.py", line 92, in main
    upload.uploadHeaders()
  File "/var/www/rhns/PackageManager/uploadLib.py", line 230, in uploadHeaders
    verbose=self.options.verbose, nosig=self.options.nosig)
  File "/var/www/rhns/PackageManager/uploadLib.py", line 352, in _processBatch
    nosig=nosig)
  File "/var/www/rhns/PackageManager/uploadLib.py", line 310, in _processFile
    h = get_header(None, f.fileno(), source)
  File "/var/www/rhns/PackageManager/uploadLib.py", line 509, in get_header
    raise UploadError("Unexpected RPM package type")
PackageManager.uploadLib.UploadError: Unexpected RPM package type

It would be nice if this exception spit out a "hey! you're trying to upload
SRPMS, but you didn't use the right options." message so that I would what to do
about it.
Comment 1 Todd Warner 2003-06-27 19:18:00 EDT
What would really be nice is if the tool simply determined what kind of RPM was
being uploaded and simply changed its behaviour on the fly.

Better error messages would be nice as well.

misa's tool... assigning to him.
Comment 2 Mihai Ibanescu 2004-04-05 16:23:57 EDT
Closing as WONTFIX. Please reopen if important.

Note You need to log in before you can comment on or make changes to this bug.